Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.wsdl
Class WsdlLexicon

    java.lang.Object
      org.modeshape.sequencer.wsdl.WsdlLexicon

    @Immutable
    public class WsdlLexicon

extends Object

A lexicon of names used within the XSD sequencer.

Nested Class Summary
`static class` | `WsdlLexicon.Namespace`

Field Summary
`static String` | `BINDING`
`static String` | `BINDING_NAME`
`static String` | `BINDING_NAMESPACE`
`static String` | `BINDING_OPERATION`
`static String` | `BINDING_OPERATION_FAULT`
`static String` | `BINDING_OPERATION_INPUT`
`static String` | `BINDING_OPERATION_OUTPUT`
`static String` | `BINDING_REFERENCE`
`static String` | `BINDINGS`
`static String` | `ELEMENT_NAME`
`static String` | `ELEMENT_NAMESPACE`
`static String` | `ELEMENT_REFERENCE`
`static String` | `ENCODING_STYLE`
`static String` | `FAULT`
`static String` | `HTTP_ADDRESS`
`static String` | `HTTP_BINDING`
`static String` | `HTTP_OPERATION`
`static String` | `HTTP_URL_ENCODED`
`static String` | `HTTP_URL_REPLACEMENT`
`static String` | `IMPORTED_XSD`
`static String` | `INCLUDED_XSD`
`static String` | `INPUT`
`static String` | `INPUT_NAME`
`static String` | `INPUT_REFERENCE`
`static String` | `LOCATION`
`static String` | `MESSAGE`
`static String` | `MESSAGE_NAME`
`static String` | `MESSAGE_NAMESPACE`
`static String` | `MESSAGE_REFERENCE`
`static String` | `MESSAGES`
`static String` | `MIME_CONTENT`
`static String` | `MIME_MULTIPART_RELATED`
`static String` | `MIME_PART`
`static String` | `MIME_TYPE`
`static String` | `MIME_XML`
`static String` | `NAMESPACE`
`static String` | `NC_NAME`
`static String` | `OPERATION`
`static String` | `OPERATION_INPUT`
`static String` | `OPERATION_OUTPUT`
`static String` | `OUTPUT`
`static String` | `OUTPUT_NAME`
`static String` | `OUTPUT_REFERENCE`
`static String` | `PARAMETER_ORDER`
`static String` | `PART`
`static String` | `PARTS`
`static String` | `PORT`
`static String` | `PORT_TYPE`
`static String` | `PORT_TYPES`
`static String` | `REDEFINED_XSD`
`static String` | `SCHEMA`
`static String` | `SERVICE`
`static String` | `SERVICES`
`static String` | `SOAP_ACTION`
`static String` | `SOAP_ADDRESS`
`static String` | `SOAP_BINDING`
`static String` | `SOAP_BODY`
`static String` | `SOAP_FAULT`
`static String` | `SOAP_HEADER`
`static String` | `SOAP_HEADER_FAULT`
`static String` | `SOAP_LOCATION`
`static String` | `SOAP_OPERATION`
`static String` | `STYLE`
`static String` | `TRANSPORT`
`static String` | `TYPE_NAME`
`static String` | `TYPE_NAMESPACE`
`static String` | `TYPE_REFERENCE`
`static String` | `USE`
`static String` | `VERB`
`static String` | `WSDL_DOCUMENT`

Constructor Summary
`WsdlLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_DOCUMENT

    public static final String WSDL_DOCUMENT

See Also:
  Constant Field Values

### SCHEMA

    public static final String SCHEMA

See Also:
  Constant Field Values

### IMPORTED_XSD

    public static final String IMPORTED_XSD

See Also:
  Constant Field Values

### INCLUDED_XSD

    public static final String INCLUDED_XSD

See Also:
  Constant Field Values

### REDEFINED_XSD

    public static final String REDEFINED_XSD

See Also:
  Constant Field Values

### NC_NAME

    public static final String NC_NAME

See Also:
  Constant Field Values

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

### MESSAGES

    public static final String MESSAGES

See Also:
  Constant Field Values

### MESSAGE

    public static final String MESSAGE

See Also:
  Constant Field Values

### PART

    public static final String PART

See Also:
  Constant Field Values

### ELEMENT_REFERENCE

    public static final String ELEMENT_REFERENCE

See Also:
  Constant Field Values

### ELEMENT_NAME

    public static final String ELEMENT_NAME

See Also:
  Constant Field Values

### ELEMENT_NAMESPACE

    public static final String ELEMENT_NAMESPACE

See Also:
  Constant Field Values

### TYPE_REFERENCE

    public static final String TYPE_REFERENCE

See Also:
  Constant Field Values

### TYPE_NAME

    public static final String TYPE_NAME

See Also:
  Constant Field Values

### TYPE_NAMESPACE

    public static final String TYPE_NAMESPACE

See Also:
  Constant Field Values

### OPERATION

    public static final String OPERATION

See Also:
  Constant Field Values

### INPUT

    public static final String INPUT

See Also:
  Constant Field Values

### OUTPUT

    public static final String OUTPUT

See Also:
  Constant Field Values

### FAULT

    public static final String FAULT

See Also:
  Constant Field Values

### MESSAGE_REFERENCE

    public static final String MESSAGE_REFERENCE

See Also:
  Constant Field Values

### MESSAGE_NAME

    public static final String MESSAGE_NAME

See Also:
  Constant Field Values

### MESSAGE_NAMESPACE

    public static final String MESSAGE_NAMESPACE

See Also:
  Constant Field Values

### OPERATION_INPUT

    public static final String OPERATION_INPUT

See Also:
  Constant Field Values

### OPERATION_OUTPUT

    public static final String OPERATION_OUTPUT

See Also:
  Constant Field Values

### PARAMETER_ORDER

    public static final String PARAMETER_ORDER

See Also:
  Constant Field Values

### PORT_TYPES

    public static final String PORT_TYPES

See Also:
  Constant Field Values

### PORT_TYPE

    public static final String PORT_TYPE

See Also:
  Constant Field Values

### BINDINGS

    public static final String BINDINGS

See Also:
  Constant Field Values

### BINDING

    public static final String BINDING

See Also:
  Constant Field Values

### BINDING_OPERATION

    public static final String BINDING_OPERATION

See Also:
  Constant Field Values

### BINDING_OPERATION_INPUT

    public static final String BINDING_OPERATION_INPUT

See Also:
  Constant Field Values

### BINDING_OPERATION_OUTPUT

    public static final String BINDING_OPERATION_OUTPUT

See Also:
  Constant Field Values

### BINDING_OPERATION_FAULT

    public static final String BINDING_OPERATION_FAULT

See Also:
  Constant Field Values

### INPUT_REFERENCE

    public static final String INPUT_REFERENCE

See Also:
  Constant Field Values

### INPUT_NAME

    public static final String INPUT_NAME

See Also:
  Constant Field Values

### OUTPUT_REFERENCE

    public static final String OUTPUT_REFERENCE

See Also:
  Constant Field Values

### OUTPUT_NAME

    public static final String OUTPUT_NAME

See Also:
  Constant Field Values

### SERVICES

    public static final String SERVICES

See Also:
  Constant Field Values

### SERVICE

    public static final String SERVICE

See Also:
  Constant Field Values

### PORT

    public static final String PORT

See Also:
  Constant Field Values

### BINDING_REFERENCE

    public static final String BINDING_REFERENCE

See Also:
  Constant Field Values

### BINDING_NAME

    public static final String BINDING_NAME

See Also:
  Constant Field Values

### BINDING_NAMESPACE

    public static final String BINDING_NAMESPACE

See Also:
  Constant Field Values

### SOAP_ADDRESS

    public static final String SOAP_ADDRESS

See Also:
  Constant Field Values

### SOAP_LOCATION

    public static final String SOAP_LOCATION

See Also:
  Constant Field Values

### SOAP_BINDING

    public static final String SOAP_BINDING

See Also:
  Constant Field Values

### STYLE

    public static final String STYLE

See Also:
  Constant Field Values

### TRANSPORT

    public static final String TRANSPORT

See Also:
  Constant Field Values

### SOAP_OPERATION

    public static final String SOAP_OPERATION

See Also:
  Constant Field Values

### SOAP_ACTION

    public static final String SOAP_ACTION

See Also:
  Constant Field Values

### SOAP_BODY

    public static final String SOAP_BODY

See Also:
  Constant Field Values

### ENCODING_STYLE

    public static final String ENCODING_STYLE

See Also:
  Constant Field Values

### PARTS

    public static final String PARTS

See Also:
  Constant Field Values

### USE

    public static final String USE

See Also:
  Constant Field Values

### SOAP_FAULT

    public static final String SOAP_FAULT

See Also:
  Constant Field Values

### SOAP_HEADER

    public static final String SOAP_HEADER

See Also:
  Constant Field Values

### SOAP_HEADER_FAULT

    public static final String SOAP_HEADER_FAULT

See Also:
  Constant Field Values

### MIME_MULTIPART_RELATED

    public static final String MIME_MULTIPART_RELATED

See Also:
  Constant Field Values

### MIME_PART

    public static final String MIME_PART

See Also:
  Constant Field Values

### MIME_TYPE

    public static final String MIME_TYPE

See Also:
  Constant Field Values

### MIME_CONTENT

    public static final String MIME_CONTENT

See Also:
  Constant Field Values

### MIME_XML

    public static final String MIME_XML

See Also:
  Constant Field Values

### HTTP_URL_REPLACEMENT

    public static final String HTTP_URL_REPLACEMENT

See Also:
  Constant Field Values

### HTTP_URL_ENCODED

    public static final String HTTP_URL_ENCODED

See Also:
  Constant Field Values

### HTTP_ADDRESS

    public static final String HTTP_ADDRESS

See Also:
  Constant Field Values

### HTTP_BINDING

    public static final String HTTP_BINDING

See Also:
  Constant Field Values

### HTTP_OPERATION

    public static final String HTTP_OPERATION

See Also:
  Constant Field Values

### LOCATION

    public static final String LOCATION

See Also:
  Constant Field Values

### VERB

    public static final String VERB

See Also:
  Constant Field Values

Constructor Detail

### WsdlLexicon

    public WsdlLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.